SCSUM1(3f)

NAME
SCSUM1 - the sum of the absolute values of a complex vector and returns a single precision result

SYNOPSIS

REAL FUNCTION
    SCSUM1( N, CX, INCX )

INTEGER
    INCX, N

COMPLEX
    CX( * )

PURPOSE
SCSUM1 takes the sum of the absolute values of a complex vector and returns a single precision result. Based on SCASUM from the Level 1 BLAS.
The change is to use the 'genuine' absolute value.
Contributed by Nick Higham for use with CLACON.

ARGUMENTS

N       (input) INTEGER
    The number of elements in the vector CX.

CX      (input) COMPLEX array, dimension (N)
    The vector whose elements will be summed.

INCX    (input) INTEGER
    The spacing between successive values of CX. INCX > 0.